> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteStateRegistration

> 
The `deleteStateRegistration` API removes a company's state registration based on the State ID.

### What it does:

- Deletes existing state registration records for the company



## OpenAPI

````yaml delete /adminPortal#deleteStateRegistration
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal#deleteStateRegistration:
    delete:
      tags: []
      summary: deleteStateRegistration
      description: >-

        The `deleteStateRegistration` API removes a company's state registration
        based on the State ID.


        ### What it does:


        - Deletes existing state registration records for the company
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateStateRegistration
                companyId:
                  type: string
                stateCode:
                  type: string
              required:
                - method
                - companyId
                - stateCode
            example:
              method: deleteStateRegistration
              companyId: CF41E979-90AE-4A8D-8FC7-08E7224FF960
              stateCode: AK
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              example:
                status: Success
                message: State 'WA' registration deleted successfully for the company.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: State Code is not valid
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````